Probleme mit mod_evasive installation !

Apache, Lighttpd, nginx, Cherokee
oemi1980
Posts: 25
Joined: 2006-10-07 09:52

Probleme mit mod_evasive installation !

Post by oemi1980 » 2006-12-17 02:32

Versuche verzweifelt mod_evasive zu installieren aber ohne Erfolg.

Wenn ich in der Konsule:

Code: Select all

/usr/sbin/apxs2-prefork -cia mod_evasive20.c
eingebe, bekomme ich diese Meldung:

Code: Select all

-bash: /usr/sbin/apxs2-prefork: No such file or directory
In meiner Serverinfo - steht:

Code: Select all

'./configure' '--prefix=/usr' '--datadir=/usr/share/php' '--mandir=/usr/share/man' '--bindir=/usr/bin' '--libdir=/usr/share' '--includedir=/usr/include' '--sysconfdir=/etc' '--with-_lib=lib' '--with-config-file-path=/etc' '--with-exec-dir=/usr/lib/php/bin' '--disable-debug' '--enable-inline-optimization' '--enable-memory-limit' '--enable-magic-quotes' '--enable-safe-mode' '--enable-sigchild' '--disable-ctype' '--disable-session' '--without-mysql' '--disable-cli' '--without-pear' '--with-openssl' '--with-apxs2=/usr/sbin/apxs2-prefork' 'i586-suse-linux'
Aber unter: /usr/sbin/ kann ich apxs2-prefork nicht finden.
Auch mit Yast nichts zu finden, Suchanfragen: apxs, apxs2, apache-dev, apache2-dev, apache-devl...

Habe nen Vserver Basic mit Suse9.3 und Confixx Premium von Server4you.

Roger Wilco
Administrator
Administrator
Posts: 5924
Joined: 2004-05-23 12:53

Re: Probleme mit mod_evasive installation !

Post by Roger Wilco » 2006-12-17 10:16

Code: Select all

yast -i apache2-devel

oemi1980
Posts: 25
Joined: 2006-10-07 09:52

Re: Probleme mit mod_evasive installation !

Post by oemi1980 » 2006-12-17 12:33

Roger Wilco wrote:

Code: Select all

yast -i apache2-devel
Wenn ich das eingebe blinkt Yast für ne halbe Sekunde auf und schliesst sofort wieder.

Roger Wilco
Administrator
Administrator
Posts: 5924
Joined: 2004-05-23 12:53

Re: Probleme mit mod_evasive installation !

Post by Roger Wilco » 2006-12-17 12:41

Code: Select all

rpm -qa apache2-devel

oemi1980
Posts: 25
Joined: 2006-10-07 09:52

Re: Probleme mit mod_evasive installation !

Post by oemi1980 » 2006-12-17 12:53

Roger Wilco wrote:

Code: Select all

rpm -qa apache2-devel
Wenn ich das eingebe springt ne neue standart zeile auf aber passieren tut wieder nichts.

Roger Wilco
Administrator
Administrator
Posts: 5924
Joined: 2004-05-23 12:53

Re: Probleme mit mod_evasive installation !

Post by Roger Wilco » 2006-12-17 12:57

Das erste Kommando sollte das Paket apache2-devel installieren, das zweite anzeigen, ob es schon installiert war.
Versuche, das Paket über YaST zu installieren. Du solltest zumindest eine Fehlermeldung erhalten. Möglicherweise sind einfach falsche Paketquellen eingetragen.

oemi1980
Posts: 25
Joined: 2006-10-07 09:52

Re: Probleme mit mod_evasive installation !

Post by oemi1980 » 2006-12-17 13:25

habe jetzt mehrere quellen für yast probiert aber raus kommt immer das selbe.
habe hier was gefunden:
http://rpmfind.net//linux/RPM/suse/upda ... .i586.html
kann mir jemand ne genaue installations anleitung durchgeben ?